Bug 360381 - (CVE-2007-5730) CVE-2007-5730 QEMU Buffer overflow via crafted "net socket listen" option
CVE-2007-5730 QEMU Buffer overflow via crafted "net socket listen" option
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=vendorsec,reported=20071017,pu...
: Security
Depends On: 390621 390631
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 11:14 EDT by Red Hat Product Security
Modified: 2011-09-29 17:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-29 17:19:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Specific patch for CVE-2007-5730 issue (1.40 KB, patch)
2007-12-13 11:51 EST, Mark J. Cox (Product Security)
no flags Details | Diff
The posted patch. (1.76 KB, patch)
2008-01-10 09:47 EST, Bill Burns
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-10-31 11:14:18 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5730 to the following vulnerability:

Heap-based buffer overflow in QEMU 0.8.2 allows local users to execute arbitrary code via crafted data in the "net socket listen" option, aka QEMU "net socket" heap overflow.  NOTE: some sources have used CVE-2007-1321 to refer to this issue as part of "NE2000 network driver and the socket code," but this is the correct identifier for the individual net socket listen vulnerability.

References:

http://taviso.decsystem.org/virtsec.pdf
http://www.debian.org/security/2007/dsa-1284
Comment 1 Mark J. Cox (Product Security) 2007-11-02 05:41:44 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2007-1321 where this
was first discussed before CVE name split
Comment 3 Mark J. Cox (Product Security) 2007-12-13 11:51:41 EST
Created attachment 287621 [details]
Specific patch for CVE-2007-5730 issue
Comment 4 Bill Burns 2008-01-10 09:47:04 EST
Created attachment 291284 [details]
The posted patch.
Comment 7 Red Hat Bugzilla 2009-10-23 15:04:56 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 8 Kurt Seifried 2011-09-29 17:19:41 EDT
All children bugs have been closed, parent is no longer needed.

Note You need to log in before you can comment on or make changes to this bug.